Subject: Re: [PATCH 09/10] net: Use VRF device index for socket lookups

From: David Ahern <[email-masked]>
Date: Wed, 05 Aug 2015 13:39:50 -0600

Hi Tom:

On 8/5/15 12:32 PM, Tom Herbert wrote:
> On Wed, Aug 5, 2015 at 10:14 AM, David Ahern<[email-masked]>  wrote:
>> >The intent of the VRF device is to leverage the existing SO_BINDTODEVICE
>> >as a means of creating L3 domains. Since sockets are expected to be bound
>> >to the VRF device the index of the master device needs to be used for
>> >socket lookups.
>> >
> This patch set seems awfully invasive at the socket layer. Isn't there
> anyway this functionality be contained in the routing layer and
> sockets use existing API?

This patch is a leftover from earlier versions. It is no longer needed. 
Will drop for v5.

David